{% extends 'base.html.twig' %}

{% block title %}Invoice List{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    img{ max-width: 100%; max-height: 100%; display: block; }
</style>

<div class="example-wrapper">
    <div id="mytoken" data-token={{ accesstoken }}></div>
    <div>
        <h4>Invoice Preview Test</h3>
        This is a fake page to simulate the data that should be written in the views before calling the service
    </div>
    <table class="table">
        <thead>
            <tr>
            <th scope="col">#</th>
            <th scope="col">Client</th>
            <th scope="col">Date</th>
            <th scope="col">Invoice Number</th>
            </tr>
        </thead>
        <tbody>
            {% for client in clients %}
                <tr>
                    <th scope="row">{{ loop.index }}</th>
                    <td>{{ client.name}}</td>
                    <td>{{ client.invoice_date }}</td>
                    <td class="invoice-name">
                        <a 
                            class="get-image" 
                            data-client="{{ client.id }}" 
                            data-invoice="{{ client.invoice }}"}
                            href="#"
                        >
                                {{ client.invoice }}
                        </a>
                    </td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="exampleModalLabel"></h4>
            </div>
            <div class="modal-body" id="modal-body">
                <img id="previewImg"/>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script src="{{ asset('js/image_show.js') }}"></script>
{% endblock %}
